import QtQuick 1.1
import com.nokia.meego 1.0
import "Util.js" as Util

Page {
    id: container
    tools: commonTools

    property string act : "About"
    property double margins: appStyle.theme.margins
    property int spacing: appStyle.theme.spacing

    property int fontSizeTitle: appStyle.theme.fontSizeTitle_larger
    property int fontSize: appStyle.theme.fontSize

    property string logoImgPath: "qrc:/img/aboutus.png"
    property string appBy: "@2011 KA Consulting";
    property string appVersion: "Version 1.1.0";
    /*property string appTitle: "\nDisclaimer"
    property string appDisclaimer: "The event information shown in this App is for general information purposes only.  Every reasonable effort has been made to assure the accuracy of this data. However, the information being provided herein is intended for informational purposes only. No guarantee is made as to the accuracy of the data and it should not be relied upon for any purpose other than general information."
        +" \n\nWe make no representations or warranties of any kind, express or implied, about the completeness, accuracy, reliability, suitability or availability with respect to the App."
        +" \n\nEvery effort is made to keep the App Service up and running smoothly. However, ka consulting takes no responsibility for, and will not be liable for, the App Service being temporarily unavailable due to technical issues beyond our control."
        +" \n\nThe World IT Events App has provided this data as a public information service."
        +" \n\nContact us on info@kaconsulting.com.my if you have any questions or suggestions.";
    */
    property string appDisclaimer: "\nContact us on info@kaconsulting.com.my if you have any questions or suggestions.";

    Flickable {
        id : flicker
        anchors.fill: container
        contentHeight: col_info.height;
        contentWidth: parent.width;

        Column{
            id: col_info
            spacing : container.spacing
            width: parent.width;
            anchors{
                left: parent.left;
                right: parent.right;
                margins: container.margins
            }

            Item { width: parent.width; height:3; }

            Image {
                smooth: true
                fillMode: Image.PreserveAspectFit
                source: container.logoImgPath
            }

            Label {
                width: parent.width;
                wrapMode: Text.WordWrap
                font.pointSize: container.fontSize
                text: container.appVersion
            }

            Label {
                width: parent.width;
                wrapMode: Text.WordWrap
                font.pointSize: container.fontSize
                text: container.appBy
            }

            /*Label {
                width: parent.width;
                wrapMode: Text.WordWrap
                font.pointSize: container.fontSizeTitle;
                font.bold: true;
                text: container.appTitle
            }*/

            Label {
                width: parent.width;
                wrapMode: Text.WordWrap
                font.pointSize: container.fontSize
                text: container.appDisclaimer
            }

            Item { width: parent.width; height:3; }

        }
    }

}
