import QtQuick 1.1
import com.nokia.meego 1.0

Item {
    id: container
    property double margins: 8
    property int spacing: 8

    property int fontSizeTitle: 12
    property int fontSize: 8
    property int lblWidth: 120;
    property color fontColor: "#000000";

    width: parent.width;
    height: lbl_left.height;

    Row{
        width: parent.width;
        spacing: container.spacing

        Label{
            id: lbl_left
            width: container.lblWidth
            text: ""
            font.pointSize: container.fontSizeTitle
            color: {
                if(container.fontColor=="#000000"){
                    return platformStyle.textColor;
                }else
                    return container.fontColor;
            }
        }

        Label{
            id: lbl_right;
            width: parent.width - lbl_left.width;
            text: ""
            font.pointSize: container.fontSize
            wrapMode: Text.NoWrap;
            color: {
                if(container.fontColor=="#000000"){
                    return platformStyle.textColor;
                }else
                    return container.fontColor;
            }
        }
    }

    function setText(val_left, val_right){
        lbl_left.text = val_left;
        lbl_right.text = val_right;
    }
}
