import QtQuick 1.1
import com.nokia.meego 1.0
import "Util.js" as Util

Page {
    id: container
    tools: commonTools

    Flickable{
        anchors.fill: parent
        contentHeight: childContent.height;
        contentWidth: parent.width;

        Column {
            id: childContent
            width: container.width;
            spacing: 5

            TextField { id: inputText; text: ""; width: parent.width; height:60; onTextChanged: { if(inputText.text.length==1) inputText.text = inputText.text.toLowerCase(); } }

            Grid {
                width: parent.width;
                columns: 2;

                Button{
                    text: "Go !!!";
                    onClicked: {
                        var val = linuxCmd.getOutput(inputText.text, " ");
                        label.text = "";
                        for(var j=0; j<val.length; j++){
                            label.text += " |H|";
                            var val2 = val[j].split("  ");
                            for(var i=0; i<val2.length; i++){
                                val2[i] = Util.trim(val2[i]);
                                if(val2[i]!=="")
                                    label.text += " "+val2[i];
                            }
                            label.text += " |E|\n";
                        }
                    }
                }

                Button{ text: "Clear"; onClicked: { inputText.text = ""; label.text = ""; } }
                Button{ text: "Memory"; onClicked: { inputText.text = "free -m | egrep -i 'em|wap'"; } }
                Button{ text: "HardDisk"; onClicked: { inputText.text = "df -h | grep root"; } }
                Button{ text: "Process"; onClicked: { inputText.text = "top -b -n1"; } }
                Button{ text: "Extra"; onClicked: { inputText.text += " | tr -s ' ' '|'"; } }
                Button{ text: "Text"; onClicked: { inputText.text += "abc.txt"; } }
            }

            Label{
                id: label
                width: parent.width;
                text:"Result Text here"
            }
        }

    }

}
